use sea_orm_migration::prelude::*;

use crate::m20230205_022300_create_settings::Settings;

#[derive(DeriveMigrationName)]
pub struct Migration;

#[async_trait::async_trait]
impl MigrationTrait for Migration {
    async fn up(&self, manager: &SchemaManager) -> Result<(), DbErr> {
        manager
            .alter_table(
                Table::alter()
                    .table(Settings::Table)
                    .add_column(ColumnDef::new(Alias::new("site_url")).text().not_null())
                    .add_column(ColumnDef::new(Alias::new("site_description")).text())
                    .to_owned(),
            )
            .await
    }

    async fn down(&self, manager: &SchemaManager) -> Result<(), DbErr> {
        manager
            .alter_table(
                Table::alter()
                    .table(Settings::Table)
                    .drop_column(Alias::new("site_url"))
                    .drop_column(Alias::new("site_description"))
                    .to_owned(),
            )
            .await
    }
}
